package com.sooka.module.web.cms.service;

import com.sooka.common.base.BaseService;
import com.sooka.module.web.cms.vo.VoteVo;
import com.sooka.mybatis.model.TCmsVote;

import java.util.List;

public interface VoteService extends BaseService<TCmsVote,Integer> {

    @Override
    String save(TCmsVote pojo);

    String save(VoteVo pojo);

    @Override
    String update(TCmsVote pojo);

    String update(VoteVo pojo);

    VoteVo findVoById(Integer id);

    String saveOp(List<String> vote_option, Integer flag, Integer xh);

    String delete(Integer vote_id);

    void deleteOp(Integer vote_id);

    List<TCmsVote> findOption(Integer vote_id);

    TCmsVote findTopicByOpId(Integer vote_id);

//    VoteVo findTopicOption(Integer vote_id);

    String vote(Integer vote_id);

    List<TCmsVote> findTO();
}
